## tinysnmp 0.8.5

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = debian agent modules manager tools mibs

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

install::
	for F in $(shell find include/tinysnmp -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done

uninstall::
	$(RM) -r $(includedir)/tinysnmp

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	$(RM) {configure,build}-stamp
	$(RM) debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	$(RM) -r debian/{tinysnmp-{dev,manager-dev,agent-dev,tools,agent,module-{interfaces,ups,resources,dvb,sensors}},tmp}
	find . -name "*~" -exec $(RM) {} \;
	find . -name ".index" -exec $(RM) {} \;
	find . -name ".#*" -exec $(RM) {} \;

=== manager/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = pdu.o snmp.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = libmanager.a

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)
	$(INSTALL) -c -m 0644 $(LIB) $(libdir)

uninstall::
	$(RM) $(libdir)/$(LIB)

=== modules/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR = resources ups test

ifeq ($(shell uname -s),Linux)
DIR += interfaces dvb sensors
endif	# ifeq ($(shell uname -s),Linux)

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== tools/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR = makeoid snmp

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== modules/dvb/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDLIBS = -lpentanet

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = pentanet.o main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = dvb.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp
	$(INSTALL) -d $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/FROGFOOT-DVB-MIB.txt $(datadir)/tinysnmp/mibs

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)
	$(RM) $(datadir)/tinysnmp/FROGFOOT-DVB-MIB.txt

=== modules/interfaces/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = proc.o main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = interfaces.so

# mibs to install
MIB = IANAifType-MIB.txt IF-MIB.txt

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp
	$(INSTALL) -d $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/IANAifType-MIB.txt $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/IF-MIB.txt $(datadir)/tinysnmp/mibs

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)
	$(RM) $(datadir)/tinysnmp/IANAifType-MIB.txt
	$(RM) $(datadir)/tinysnmp/IF-MIB.txt

=== modules/resources/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

ifeq ($(shell uname -s),Linux)
OBJ += meminfo_linux.o diskinfo_linux.o loadinfo_linux.o
endif	# ifeq ($(shell uname -s),Linux)

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = resources.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp
	$(INSTALL) -d $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/FROGFOOT-RESOURCES-MIB.txt $(datadir)/tinysnmp/mibs

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)
	$(RM) $(datadir)/tinysnmp/FROGFOOT-RESOURCES-MIB.txt

=== modules/sensors/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = sensors.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp
	$(INSTALL) -d $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/FROGFOOT-SENSORS-MIB.txt $(datadir)/tinysnmp/mibs

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)
	$(RM) $(datadir)/tinysnmp/FROGFOOT-SENSORS-MIB.txt

=== modules/test/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = test.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== modules/ups/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VERSION = $(shell pwd | sed 's|^.*/tinysnmp-\([^/]*\)/.*$$|\1|' | cut -f1 -d.)

CPPFLAGS = -DVERSION=\"$(VERSION)\" 

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = ups.so

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)/tinysnmp
	$(INSTALL) -c -m 0755 $(LIB) $(libdir)/tinysnmp
	$(INSTALL) -d $(datadir)/tinysnmp/mibs
	$(INSTALL) -c -m 0644 $(TOPDIR)/mibs/UPS-MIB.txt $(datadir)/tinysnmp/mibs

uninstall::
	$(RM) $(libdir)/tinysnmp/$(LIB)
	$(RM) $(datadir)/tinysnmp/UPS-MIB.txt

=== tools/makeoid/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDLIBS = -labz -ldebug -lber

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = main.o

# program name (leave as is if there is no program)
PRG = makeoid

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install:: all
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 0755 $(PRG) $(bindir)
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -c -m 0644 $(PRG).1 $(mandir)/man1
	gzip -9 $(mandir)/man1/$(PRG).1

uninstall::
	$(RM) $(bindir)/$(PRG)
	$(RM) $(mandir)/man1/$(PRG).1.gz

=== tools/snmp/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDFLAGS = -L$(TOPDIR)/manager
LDLIBS = -ldebug -labz -lber -lmanager

# path to toplevel directory from here
TOPDIR = ../..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = config.o show.o main.o

# program name (leave as is if there is no program)
PRG = tinysnmpget

# symlinks
LNK = tinysnmpgetnext tinysnmpwalk

# man pages
MAN = tinysnmpget.1 tinysnmpgetnext.1 tinysnmpwalk.1

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

$(LNK): $(PRG)
	ln -sf $^ $@

install:: all $(LNK)
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 0755 $(PRG) $(LNK) $(bindir)
	$(INSTALL) -d $(mandir)/man1
	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man1; gzip -9 $(mandir)/man1/$$F; done

uninstall::
	$(RM) $(bindir)/$(PRG)
	set -e; for F in $(LNK); do $(RM) $(bindir)/$$F; done
	set -e; for F in $(MAN); do $(RM) $(mandir)/man1/$$F.gz; done

clean::
	$(RM) $(LNK)

all:: $(LNK)

=== debian/changelog ===
tinysnmp (0.8.5) unstable; urgency=low

  * Added dependancy on latest libabz0 (Closes: #385881, #390407)
  * Use adduser instead of useradd/groupadd (Closes: #416610, #381640)
  * Use bash in Makefile (Closes: #376361)
  * Added tinysnmp-agent conflict with snmpd (Closes: #340757)
  * Exit when make sub processes fail. Thanks to
    Niko Tyni <ntyni@iki.fi> for patch (Closes: #388395)
  * Use `make distclean' in rules file (Closes: #388392)
  * Fixed alignment problems on Sparc. Thanks to
    Niko Tyni <ntyni@iki.fi> for debugging and patch (Closes: #388256)
  * Fixed gcc 4.x signedness warnings.
  * Parse 64-bit values in /proc/net/dev (Closes: #388391)
  * Removed -O0 workaround which shouldn't be necessary anymore.
  * Disable epoll.

 -- Abraham vd Merwe <abz@debian.org>  Fri, 11 May 2007 10:51:04 +0200

=== debian/control ===
Source: tinysnmp
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libevent-dev, libdebug0-dev (>= 0.4.2), libber0-dev (>= 0.4.2), libabz0-dev (>= 0.7.2), pentanet-dev
Standards-Version: 3.6.1

Package: tinysnmp-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, libdebug0-dev (>= 0.4.2), libber0-dev (>= 0.4.2), libabz0-dev (>= 0.7.2)
Suggests: tinysnmp-manager-dev (= ${Source-Version}), tinysnmp-agent-dev (= ${Source-Version})
Description: Files needed for developing TinySNMP programs and plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains files needed if you wish to use the tinysnmp
 libraries in your own programs.

Package: tinysnmp-manager-dev
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (= ${Source-Version})
Suggests: tinysnmp-agent-dev (= ${Source-Version}), tinysnmp-tools (= ${Source-Version})
Description: Libraries and header files for developing TinySNMP programs
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains files needed if you wish to create manager software
 that use the tinysnmp implementation.

Package: tinysnmp-tools
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Suggests: tinysnmp-agent (= ${Source-Version})
Description: TinySNMP Utilities
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains implementations of the popular SNMP utilities found
 in many SNMP implementations. This includes tinysnmpget, tinysnmpgetnext,
 and tinysnmpwalk.

Package: tinysnmp-agent-dev
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, tinysnmp-dev (= ${Source-Version})
Suggests: tinysnmp-manager-dev (= ${Source-Version}), tinysnmp-agent (= ${Source-Version}), tinysnmp-tools (= ${Source-Version})
Description: Libraries and header files for developing TinySNMP plugins
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains files needed if you wish to create agent modules
 for the tinysnmp agent.

Package: tinysnmp-agent
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Recommends: tinysnmp-module-interfaces (= ${Source-Version}), tinysnmp-module-resources (= ${Source-Version})
Suggests: tinysnmp-module-ups (= ${Source-Version}), tinysnmp-tools (= ${Source-Version})
Conflicts: tinysnmp-module-mib2, snmpd
Replaces: tinysnmp-module-mib2
Description: A lightweight SNMPv1 implementation
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This package contains the tinysnmp agent daemon.

Package: tinysnmp-module-interfaces
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (= ${Source-Version})
Description: Interfaces MIB module for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe generic objects for network
 interface sub-layers as defined in the IETF Interfaces MIB.

Package: tinysnmp-module-resources
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (= ${Source-Version})
Description: Frogfoot Networks Resources MIB plugin for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe host resources such as memory,
 storage space, and processor load as defined in the Frogfoot
 Networks Resources MIB.
 .
 The Frogfoot Networks Resources MIB is similar to the IETF Host
 Resources MIB, but does not have per-process statistics (but it
 does have overall processor load statistics which is not present
 in the IETF Host Resources MIB).

Package: tinysnmp-module-ups
Architecture: any
Section: net
Depends: ${shlibs:Depends}, apcupsd, tinysnmp-agent (= ${Source-Version})
Description: UPS MIB module for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe Uninterruptible Power Supplies as
 defined in the IETF UPS MIB.
 .
 Only APC UPS's are currently supported.

Package: tinysnmp-module-dvb
Architecture: any
Section: net
Depends: ${shlibs:Depends}, tinysnmp-agent (= ${Source-Version})
Description: DVB Data Receiver MIB module for TinySNMP
 This is a fast, leightweight implementation of the SNMPv1 protocol
 as described in RFC 1157.
 .
 This module is used to describe DVB Data Receivers.
 .
 Only the Pent@NET and Pent@VALUE cards from Pentamedia are
 currently supported.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	dh_clean
	rm -f $(CURDIR)/debian/{build,configure}-stamp
	rm -rf $(CURDIR)/debian/libconfig-dev $(CURDIR)/debian/libconfig $(CURDIR)/debian/tmp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_movefiles -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a
	dh_installman -a
	dh_installchangelogs -a
	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpgetnext
	dh_link -ptinysnmp-tools usr/bin/tinysnmpget usr/bin/tinysnmpwalk
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
